#ifndef GUILOCALIZATIONTF_H
#define GUILOCALIZATIONTF_H

#include <QWidget>
#include "UIDatDocument.h"
#include "GUITabDocument.h"

namespace Ui {
class GUILocalizationTF;
}

class GUILocalizationTF: virtual public QWidget , public GUITabDocument{
Q_OBJECT
protected:
	HT::MUSIC::UIDocument* doc;
public:
	QTreeWidgetItem *item_mic;
	QTreeWidgetItem *item_src;
	QTreeWidgetItem *item_tf;

	// SPEC情報
	QTreeWidgetItem *spec_date;
	QTreeWidgetItem *spec_location;
	QTreeWidgetItem *spec_robot;
	QTreeWidgetItem *spec_array_type;
	QTreeWidgetItem *spec_creator;
	QTreeWidgetItem *spec_memo;

	GUILocalizationTF(HT::MUSIC::UIDocument* doc, QWidget *parent = 0);

	~GUILocalizationTF();
	void saveFile(bool dialog);
	void openFile(QString fname);
	virtual HT::MUSIC::UIDocument* getDoc() {
		return doc;
	}
private:
	void dispHARKIOData();
	void dispOldData();

public slots:
	void disp();
	void dispPanel(QTreeWidgetItem *item, int column);

protected:
	void changeEvent(QEvent *e);

private:
	Ui::GUILocalizationTF *ui;
};

#endif // GUILOCALIZATIONTF_H
