#ifndef GUIImpulseResponseListFile_H
#define GUIImpulseResponseListFile_H

#include "UIDocument.h"
#include "GUITabDocument.h"
#include <QWidget>

namespace Ui {
class GUIImpulseResponseListFile;
}

class GUIImpulseResponseListFile : virtual public QWidget, public GUITabDocument {
Q_OBJECT
protected:
	HT::IMPULSE::UIDocument* doc;
public:
	GUIImpulseResponseListFile(HT::IMPULSE::UIDocument* doc, QWidget *parent = 0);
	virtual ~GUIImpulseResponseListFile();
	void saveFile(bool dialog);
	void openFile(QString file);
	virtual HT::IMPULSE::UIDocument* getDoc() {
		return doc;
	}
	QString text();

public slots:
	void templateNew();
	void dispGraph();
	void dispTemplate(QString text);

protected:
	void changeEvent(QEvent *e);

private:
	Ui::GUIImpulseResponseListFile *ui;
};

#endif // GUIImpulseResponseListFile_H
