#ifndef GUITSPListFile_H
#define GUITSPListFile_H

#include "UIDocument.h"
#include "GUITabDocument.h"
#include <QWidget>

namespace Ui {
class GUITSPListFile;
}

class GUITSPListFile: virtual public QWidget , public GUITabDocument {
Q_OBJECT
protected:
	HT::TSP::UIDocument* doc;
public:
	GUITSPListFile(HT::TSP::UIDocument* doc, QWidget *parent = 0);
	virtual ~GUITSPListFile();
	void saveFile(bool dialog);
	void openFile(QString file);
	virtual HT::TSP::UIDocument* getDoc() {
		return doc;
	}
	QString text();

public slots:
	void templateNew();
	void dispGraph();
	void dispTemplate(QString text);

protected:
	void changeEvent(QEvent *e);

private:
	Ui::GUITSPListFile *ui;
};

#endif // GUITSPListFile_H
